import request from '@/utils/request'

export function listIndicator(query) {
  return request({
    url: '/health/chronicDiseaseManage/indicator/list',
    method: 'get',
    params: query
  })
}

export function addIndicator(data) {
  return request({
    url: '/health/chronicDiseaseManage/indicator',
    method: 'post',
    data
  })
}

export function updateIndicator(data) {
  return request({
    url: '/health/chronicDiseaseManage/indicator',
    method: 'put',
    data
  })
}

export function delIndicator(id) {
  return request({
    url: '/health/chronicDiseaseManage/indicator/' + id,
    method: 'delete'
  })
}

export function listFollowUp(query) {
  return request({
    url: '/health/chronicDiseaseManage/followUp/list',
    method: 'get',
    params: query
  })
}

export function addFollowUp(data) {
  return request({
    url: '/health/chronicDiseaseManage/followUp',
    method: 'post',
    data
  })
}

export function updateFollowUp(data) {
  return request({
    url: '/health/chronicDiseaseManage/followUp',
    method: 'put',
    data
  })
}

export function delFollowUp(id) {
  return request({
    url: '/health/chronicDiseaseManage/followUp/' + id,
    method: 'delete'
  })
}

export function listStatusHistory(query) {
  return request({
    url: '/health/chronicDiseaseManage/statusHistory/list',
    method: 'get',
    params: query
  })
}
